Job
Jobs are long-running tasks enqueued and processed by the instance itself. No additional worker registration is currently available.
Pause job queue
Body
processRolesArray<string>primarysecondaryRoles of the PeerTube processes that must pause their job queue. Defaults to all the roles. Other processes are notified asynchronously.
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Resume job queue
Body
processRolesArray<string>primarysecondaryRoles of the PeerTube processes that must resume their job queue. Defaults to all the roles. Other processes are notified asynchronously.
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
List instance jobs
Parameters
statestringactivecompletedfailedwaitingdelayedrequiredpathThe state of the job ('' for for no filter)
jobTypeJobTypeactivitypub-cleaneractivitypub-followactivitypub-http-broadcastactivitypub-http-broadcast-parallelactivitypub-http-fetcheractivitypub-http-unicastactivitypub-refresheractor-keysafter-video-channel-importbuild-automatic-tagsbuild-object-automatic-tagscreate-user-exportemailfederate-videogenerate-video-storyboardimport-user-archivemanage-video-torrentmove-to-file-systemmove-to-object-storagenotifytranscoding-job-buildervideo-channel-importvideo-file-importvideo-files-lifecyclevideo-importvideo-live-endingvideo-redundancyvideo-studio-editionvideo-transcodingvideo-transcriptionvideos-statsqueryjob type
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Cancel a job
Abort a running job and its underlying ffmpeg/child process. Only active jobs that support cancellation can be cancelled.
Parameters
jobTypeJobTypeactivitypub-cleaneractivitypub-followactivitypub-http-broadcastactivitypub-http-broadcast-parallelactivitypub-http-fetcheractivitypub-http-unicastactivitypub-refresheractor-keysafter-video-channel-importbuild-automatic-tagsbuild-object-automatic-tagscreate-user-exportemailfederate-videogenerate-video-storyboardimport-user-archivemanage-video-torrentmove-to-file-systemmove-to-object-storagenotifytranscoding-job-buildervideo-channel-importvideo-file-importvideo-files-lifecyclevideo-importvideo-live-endingvideo-redundancyvideo-studio-editionvideo-transcodingvideo-transcriptionvideos-statsrequiredpathThe type of the job to cancel
jobIdstringrequiredpathThe id of the job to cancel
Response
successful operation
job not found
job cannot be cancelled (not active or not cancellable)
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
